 	.386
	.model	use32 small

	extrn	allerrl : proc
	public	_fmodl
	.data
nm	db	"fmodl",0

	.code
_fmodl:
      	push	ebp
	mov	ebp,esp
	
	lea	ecx,[ebp+8]
	lea	edx,[ebp+16]
	fld	tbyte ptr [edx]
	fld	tbyte ptr [ecx]
	fprem1
	fxch	st(1)
	fcomp 	st(1)
	fldz
	fcomp   st(1)
	fnstsw	ax
	fwait
	sahf
	jz	noadj
	jc	noadj
	fld	tbyte ptr [edx]
	faddp	st(1)
noadj:
	lea	eax,[nm]
	call	allerrl

	leave
	ret
	end